import { Query, ExecuteResult, QueryOptions } from '../../../query/domain';
import { SchemaFacade } from '../../../schema/application';
import { LanguagesService } from '../../../language/application';
import { Transaction, Executor } from '../../domain';
import { ConnectionFacade } from '../../../connection/application';
import { Expressions } from '3xpr';
import { Helper } from '../../../shared/application/helper';
export declare class ExecutorImpl implements Executor {
    private readonly connectionFacade;
    private readonly languages;
    private readonly schemaFacade;
    private readonly expressions;
    private readonly helper;
    constructor(connectionFacade: ConnectionFacade, languages: LanguagesService, schemaFacade: SchemaFacade, expressions: Expressions, helper: Helper);
    execute(query: Query, data: any, options: QueryOptions): Promise<any>;
    executeList(queries: Query[], options: QueryOptions): Promise<ExecuteResult[]>;
    /**
 * Create a transaction
 * @param source Database name
 * @param callback Code to be executed in transaction
 */
    transaction(options: QueryOptions, callback: {
        (tr: Transaction): Promise<void>;
    }): Promise<void>;
}
