import { Property, Relation, Index, EntityMapping } from '../../../../schema/domain';
import { Query } from '../../../../query/domain';
import { DDLBuilderAdapter } from '../base/DDLBuilderAdapter';
export declare class SqlDDLBuilderAdapter extends DDLBuilderAdapter {
    truncateEntity(entity: EntityMapping): Query | undefined;
    createEntity(entity: EntityMapping): Query | undefined;
    private createColumn;
    private createPk;
    createFk(entity: EntityMapping, relation: Relation): Query | undefined;
    createSequence(entity: EntityMapping): Query | undefined;
    createIndex(entity: EntityMapping, index: Index): Query | undefined;
    alterProperty(entity: EntityMapping, property: Property): Query | undefined;
    addProperty(entity: EntityMapping, property: Property): Query | undefined;
    private property;
    addPk(entity: EntityMapping, primaryKeys: string[]): Query | undefined;
    addUk(entity: EntityMapping, uniqueKeys: string[]): Query | undefined;
    private addKeys;
    addFk(entity: EntityMapping, relation: Relation): Query | undefined;
    dropEntity(entity: EntityMapping): Query | undefined;
    dropProperty(entity: EntityMapping, property: Property): Query | undefined;
    dropPk(entity: EntityMapping): Query | undefined;
    dropUk(entity: EntityMapping): Query | undefined;
    setNull(entity: EntityMapping, relation: Relation): Query | undefined;
    dropFk(entity: EntityMapping, relation: Relation): Query | undefined;
    dropIndex(entity: EntityMapping, index: Index): Query | undefined;
    dropSequence(entity: EntityMapping): Query | undefined;
}
