"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LanguageAdapter = void 0;
const domain_1 = require("../../../../shared/domain");
const application_1 = require("../../../application");
class LanguageAdapter {
    constructor(name, dialects) {
        this.name = name;
        this.dialects = [];
        for (const p in dialects) {
            const data = dialects[p];
            const dialect = new application_1.DialectService(p, data);
            this.dialects.push(dialect);
        }
    }
    getDialect(name) {
        const dialect = this.dialects.find(p => p.name === name);
        if (!dialect) {
            throw new domain_1.NotImplemented(`Dialect ${name} not implemented`);
        }
        return dialect;
    }
}
exports.LanguageAdapter = LanguageAdapter;
//# sourceMappingURL=languageAdapter.js.map